Webservices create user has problems with preferredname and studentid fields

Bug #1630753 reported by Robert Lyon on 2016-10-05
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
High
Robert Lyon
15.04
High
Unassigned
15.10
High
Unassigned

Bug Description

This issue was fixed for 16.10+ but needs to be backported to earlier versions using webservices

We need the studentid and preferredname parts of commit 4bc12f6abbc832fbcd9766518796ae4a45351034

Robert Lyon (robertl-9) on 2016-10-05
Changed in mahara:
milestone: 16.04.4 → none
milestone: none → 16.04.4
no longer affects: mahara/16.04
Changed in mahara:
status: Confirmed → In Progress
Robert Lyon (robertl-9) wrote :
summary: - Webservices create user has problems with preferredname and studentid
- fields
+ Webservices create/update user has problems with preferredname and
+ studentid fields
summary: - Webservices create/update user has problems with preferredname and
- studentid fields
+ Webservices create user has problems with preferredname and studentid
+ fields

Reviewed: https://reviews.mahara.org/7081
Committed: https://git.mahara.org/mahara/mahara/commit/befa5bc854020926779bb0e3dc69336b9cfabb15
Submitter: Aaron Wells (<email address hidden>)
Branch: 16.04_STABLE

commit befa5bc854020926779bb0e3dc69336b9cfabb15
Author: Robert Lyon <email address hidden>
Date: Thu Oct 6 09:46:16 2016 +1300

Bug 1630753: Save the studentid and preferredname fields via webservices

When creating a user

behatnotneeded

Change-Id: I8e442cbda497cfc1cb39fd5395d7c07c7c148dd2
Signed-off-by: Robert Lyon <email address hidden>

Aaron Wells (u-aaronw) on 2016-10-18
Changed in mahara:
status: In Progress → Fix Committed
Mahara Bot (dev-mahara) wrote :

Patch for "15.04_STABLE" branch: https://reviews.mahara.org/7146

Reviewed: https://reviews.mahara.org/7146
Committed: https://git.mahara.org/mahara/mahara/commit/bf5693e5a4122df12e9658154734989fdb65f70d
Submitter: Robert Lyon (<email address hidden>)
Branch: 15.04_STABLE

commit bf5693e5a4122df12e9658154734989fdb65f70d
Author: Robert Lyon <email address hidden>
Date: Thu Oct 6 09:46:16 2016 +1300

Bug 1630753: Save the studentid and preferredname fields via webservices

When creating a user

behatnotneeded

Change-Id: I8e442cbda497cfc1cb39fd5395d7c07c7c148dd2
Signed-off-by: Robert Lyon <email address hidden>
(cherry picked from commit befa5bc854020926779bb0e3dc69336b9cfabb15)

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/7145
Committed: https://git.mahara.org/mahara/mahara/commit/a925c357eb660c105fd6ab667a9cecdfccff74e0
Submitter: Robert Lyon (<email address hidden>)
Branch: 15.10_STABLE

commit a925c357eb660c105fd6ab667a9cecdfccff74e0
Author: Robert Lyon <email address hidden>
Date: Thu Oct 6 09:46:16 2016 +1300

Bug 1630753: Save the studentid and preferredname fields via webservices

When creating a user

behatnotneeded

Change-Id: I8e442cbda497cfc1cb39fd5395d7c07c7c148dd2
Signed-off-by: Robert Lyon <email address hidden>
(cherry picked from commit befa5bc854020926779bb0e3dc69336b9cfabb15)

Robert Lyon (robertl-9) on 2016-10-25
Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers